<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__rscsc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_rscsc_config_t</compoundname>
    <includes local="no">cy_ble_rscs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__rscsc__config__t_1aa9edacd1103429dd922a327fb6599963" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__rscsc__t">cy_stc_ble_rscsc_t</ref> *</type>
        <definition>cy_stc_ble_rscsc_t* cy_stc_ble_rscsc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" bodystart="141" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" line="141" />
      </memberdef>
      <memberdef id="structcy__stc__ble__rscsc__config__t_1a185e280fcd2ac0f5a7b4e58a9a03a612" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_rscsc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" bodystart="144" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" line="144" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1141">
        <label>cy_stc_ble_rscsc_t</label>
        <link refid="structcy__stc__ble__rscsc__t" />
        <childnode refid="1142" relation="usage">
          <edgelabel>characteristics</edgelabel>
        </childnode>
      </node>
      <node id="1143">
        <label>cy_stc_ble_srvr_char_info_t</label>
        <link refid="structcy__stc__ble__srvr__char__info__t" />
      </node>
      <node id="1140">
        <label>cy_stc_ble_rscsc_config_t</label>
        <link refid="structcy__stc__ble__rscsc__config__t" />
        <childnode refid="1141" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="1142">
        <label>cy_stc_ble_rscsc_srvr_full_char_info_t</label>
        <link refid="structcy__stc__ble__rscsc__srvr__full__char__info__t" />
        <childnode refid="1143" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="146" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" bodystart="138" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" line="139" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__rscsc__config__t_1aa9edacd1103429dd922a327fb6599963" virt="non-virtual"><scope>cy_stc_ble_rscsc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__rscsc__config__t_1a185e280fcd2ac0f5a7b4e58a9a03a612" virt="non-virtual"><scope>cy_stc_ble_rscsc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>